package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpCabinetInclusionChemicalVo {
    private static final long serialVersionUID = 1L;

    /**
     * 化学品主键
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @ApiModelProperty(value = "化cas号")
    private String casNum;

    @ApiModelProperty(value = "属性")
    private String classifyAttribute;

    @ApiModelProperty(value = "总库存")
    private String totalStock;

    @ApiModelProperty(value = "使用中")
    private Integer useing;

    @ApiModelProperty(value = "作废")
    private Integer cancel;

    @ApiModelProperty(value = "用结")
    private Integer useUp;

    @ApiModelProperty(value = "未使用")
    private Integer noUse;

    @ApiModelProperty(value = "机柜id")
    private Long cabinetId;

    @ApiModelProperty(value = "锁id")
    private Long lockId;

    /**
     * 状态（1是使用中，0是已归还，2是超时未归还）
     */
    @ApiModelProperty(value = "状态（1是使用中，0是已归还，2是超时未归还）")
    private Integer useStatus;

    /**
     * 关键字搜索
     */
    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    /**
     * 机柜包涵哪些化学品子集
     */
    List <HxpCabinetInclusionChemicalSon> hxpCabinetInclusionChemicalSonList = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public String getTotalStock() {
        return totalStock;
    }

    public void setTotalStock(String totalStock) {
        this.totalStock = totalStock;
    }

    public Integer getUseing() {
        return useing;
    }

    public void setUseing(Integer useing) {
        this.useing = useing;
    }

    public Integer getCancel() {
        return cancel;
    }

    public void setCancel(Integer cancel) {
        this.cancel = cancel;
    }

    public Integer getUseUp() {
        return useUp;
    }

    public void setUseUp(Integer useUp) {
        this.useUp = useUp;
    }

    public Integer getNoUse() {
        return noUse;
    }

    public void setNoUse(Integer noUse) {
        this.noUse = noUse;
    }

    public List <HxpCabinetInclusionChemicalSon> getHxpCabinetInclusionChemicalSonList() {
        return hxpCabinetInclusionChemicalSonList;
    }

    public void setHxpCabinetInclusionChemicalSonList(List <HxpCabinetInclusionChemicalSon> hxpCabinetInclusionChemicalSonList) {
        this.hxpCabinetInclusionChemicalSonList = hxpCabinetInclusionChemicalSonList;
    }

    public Long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public Long getLockId() {
        return lockId;
    }

    public void setLockId(Long lockId) {
        this.lockId = lockId;
    }

    public Integer getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }
}
